org.eclipse.jgit.transport

## Class TcpTransport

- java.lang.Object
- - org.eclipse.jgit.transport.Transport
  - - org.eclipse.jgit.transport.TcpTransport

Direct Known Subclasses:
  SshTransport

    public abstract class TcpTransport
    extends Transport

The base class for transports based on TCP sockets. This class holds settings common for all TCP based transports.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.Transport

`Transport.Operation`

### Field Summary

### Fields inherited from class org.eclipse.jgit.transport.Transport

`DEFAULT_FETCH_THIN, DEFAULT_PUSH_THIN, local, REFSPEC_PUSH_ALL, REFSPEC_TAGS, uri`

### Constructor Summary

Constructors
`protected` `TcpTransport(Repository local, URIish uri)` Create a new transport instance.

### Method Summary

### Methods inherited from class org.eclipse.jgit.transport.Transport

`applyConfig, close, fetch, findRemoteRefUpdatesFor, findRemoteRefUpdatesFor, getCredentialsProvider, getOptionReceivePack, getOptionUploadPack, getPackConfig, getTagOpt, getTimeout, getTransportProtocols, getURI, isCheckFetchedObjects, isDryRun, isFetchThin, isPushThin, isRemoveDeletedRefs, open, open, open, open, open, open, open, openAll, openAll, openAll, openAll, openFetch, openPush, push, push, register, setCheckFetchedObjects, setCredentialsProvider, setDryRun, setFetchThin, setOptionReceivePack, setOptionUploadPack, setPackConfig, setPushThin, setRemoveDeletedRefs, setTagOpt, setTimeout, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TcpTransport

    protected TcpTransport(Repository local,
                URIish uri)

Create a new transport instance.

Parameters:
  `local` - the repository this instance will fetch into, or push out of. This must be the repository passed to `Transport.open(Repository, URIish)`.
  `uri` - the URI used to access the remote repository. This must be the URI passed to `Transport.open(Repository, URIish)`.